Zabbixインストールで質問です。

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 1,751

現在、CentOS7にてZabbixをインストールを試しているのですが、インストールできません。
環境は以下の通り

OS:CentOS7.2(64bit版)
HDD:70GB
メモリ:2GB

上記で基本ツール、HTTPD及びMySQLをインストールを実施しました。
基本ツールインストール

yum -y groupinstall base
yum -y groupinstall development
yum -y groupinstall network-tools 

上記OK

リポジトリ追加

rpm -ivh http://dl.fedoraproject.org/pub/epel/7/x86_64/e/epel-release-7-8.noarch.rpm
rpm --import http://dl.fedoraproject.org/pub/epel/RPM-GPG-KEY-EPEL-7 
rpm -ivh http://rpms.famillecollet.com/enterprise/remi-release-7.rpm
rpm --import http://rpms.famillecollet.com/RPM-GPG-KEY-remi 
rpm -ivh http://dev.mysql.com/get/mysql57-community-release-
el7-11.noarch.rpm 

OK
/etc/yum.repos.d/remi.repo及び、/etc/yum.repos.d/remi-php71.repoで
リポジトリを有効化=>OK

HTTPDインストールと起動

yum install httpd httpd-devel
service httpd start
chkconfig httpd on

OK

MySQLインストールと起動

yum install mysql mysql-devel mysql-server mysql-utilities
service mysqld start
chkconfig mysqld on

OK

しかし、Zabbixサーバのインストールを実施しようとしたところ、エラーとなってしまいました。

-ivh http://repo.zabbix.com/zabbix/2.4/rhel/6/x86_64/zabbix-release-2.4-1.el6.noarch.rpm
--------------ここまでOK 
yum install zabbix-server-mysql zabbix-web-mysql zabbix-web-japanese zabbix-agent
エラーになる。

エラー内容は以下の通り。

[root@zabbix ~]# yum install zabbix-server-mysql zabbix-web-mysql zabbix-web-japanese zabbix-agent
読み込んだプラグイン:fastestmirror, langpacks
Loading mirror speeds from cached hostfile

  • base: ftp.nara.wide.ad.jp
  • epel: mirror01.idc.hinet.net
  • extras: ftp.tsukuba.wide.ad.jp
  • remi: mirror.bebout.net
  • remi-php56: mirror.bebout.net
  • remi-php71: mirror.bebout.net
  • remi-safe: mirror.bebout.net
  • updates: ftp.tsukuba.wide.ad.jp
    (中略)
    --> 依存性解決を終了しました。
    エラー: パッケージ: zabbix-server-mysql-2.4.8-1.el6.x86_64 (zabbix)
    要求: libmysqlclient.so.16()(64bit)
    エラー: zabbix-web-mysql conflicts with zabbix-web-pgsql-2.4.8-1.el6.noarch
    エラー: zabbix-web-pgsql conflicts with zabbix-web-mysql-2.4.8-1.el6.noarch
    エラー: パッケージ: zabbix-server-mysql-2.4.8-1.el6.x86_64 (zabbix)
    要求: libmysqlclient.so.16(libmysqlclient_16)(64bit)
    エラー: パッケージ: zabbix-server-mysql-2.4.8-1.el6.x86_64 (zabbix)
    要求: libnetsnmp.so.20()(64bit)
    問題を回避するために --skip-broken を用いることができます。
    これらを試行できます: rpm -Va --nofiles --nodigest

どうも、zabbix-server-mysqlとzabbix-web-mysqlでエラーとなっているようです。
どなたか、解消策をご教授ください。
よろしくお願いいたします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

0

http://repo.zabbix.com/zabbix/2.4/rhel/6/x86_64/zabbix-release-2.4-1.el6.noarch.rpm

これは RHEL/CentOS 6 用のリポジトリです。
これではなく、RHEL/CentOS 7 用のリポジトリを使う必要があります。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/02/02 18:19

    ご指摘ありがとうございます。
    確かにそのとおりですね。。。失礼いたしました。
    ちょっと試してみます。

    キャンセル

  • 2018/02/05 13:21

    無事にインストールできました。
    ありがとうございました。

    キャンセル

0

問題を回避するために --skip-broken を用いることができます。
これらを試行できます: rpm -Va --nofiles --nodigest

は試してみましたか?

32bit版と64bit版のソフトは混在していませんよね?
インストールされているCentOSが32bitか64bitかを確認

追記
MySQLのバージョンを調べる方法
x86_64 って載っていれば64bit, 載っていなければ 32bit です。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/02/02 11:17

    ありがとうございます。調べました。

    > [root@zabbix ~]# mysql --version
    > mysql Ver 14.14 Distrib 5.7.21, for Linux (x86_64) using EditLine wrapper

    64bit版のようです。

    キャンセル

  • 2018/02/02 11:26

    あとはメモリが2GBって十分なメモリを積んでいるでしょうか?この辺を判断できる情報はわたしは持っていません。
    この回答まで読んでいる人は少ないでしょうから、64bitの情報は最初の質問に追記された方が回答が付き易いでしょう。

    キャンセル

  • 2018/02/02 11:28

    ありがとうございます。
    ご指摘ありがとうございます。スペックについては、少し見直しをしてみます。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.22%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる